using DevExpress.ExpressApp;
using DevExpress.ExpressApp.Actions;
using DevExpress.ExpressApp.SystemModule;
using Xafari.Utils;
using Xafari.Win;

namespace ActionByTimer.Module.Controllers
{
    public partial class ActionByTimerViewController : ViewController
    {
        public ActionByTimerViewController()
        {
            InitializeComponent();
            RegisterActions(components);
        }

        private void simpleAction1_Execute(object sender, SimpleActionExecuteEventArgs e)
        {
            MessageObject.CreateMessageInfo(e.ShowViewParameters, this.Application, "This window will close automatically", "This window will close automatically in 10 seconds!");
        }
        protected override void OnViewChanged()
        {
            base.OnViewChanged();

            if (this.View.CurrentObject is MessageObject)
            {
                if (View.Caption.Contains("This window will close automatically"))
                {
                    var autoExecuteController = this.Frame.GetController<WinAutoExecuteController>();

                    if (autoExecuteController != null)
                    {
                        var dialogController = this.Frame.GetController<DialogController>();

                        if (dialogController != null && dialogController.AcceptAction != null)
                        {
                            autoExecuteController.InitializeCountDown(10, dialogController.AcceptAction);
                        }
                    }
                }
            }
        }
    }
}
